Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 174138 - yum/python/libselinux 32/64-bit dependency problems
Summary: yum/python/libselinux 32/64-bit dependency problems
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-11-25 00:53 UTC by David Woodhouse
Modified: 2014-03-17 02:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-09 22:38:05 UTC


Attachments (Terms of Use)

Description David Woodhouse 2005-11-25 00:53:07 UTC
After a rawhide 'yum update' today, yum no longer worked. 
It had installed 64-bit python, including /usr/bin/python, because libselinux
requires _libpython_.

When yum was run with the 64-bit /usr/bin/python, it refused to load
/usr/lib/python2.4/site-packages/rpm/_rpmmodule.so, because that's a 32-bit library.

This 'fixed' it:
rpm -e python.ppc64 libselinux.ppc64 hal.ppc64 dbus.ppc64 pam.ppc64
dbus-glib.ppc64 nss_ldap.ppc64 pam_krb5.ppc64
rpm -Uhv python-2.4.2-2.ppc.rpm  --force

Perhaps /usr/bin/python and libpython should be in separate binary packages, if
there are going to be biarch dependencies on libpython? Or perhaps the
libselinux python bindings should be put in a separate package?

Comment 1 Bill Nottingham 2005-11-28 19:56:29 UTC
I'd suspect both, possibly.

Any python bindings will require the actual same bitwidth of an interpreter.



Comment 2 Daniel Walsh 2006-01-02 17:49:31 UTC
Split libselinux out into separate packages.  libselinux-python should solve the
problem.

libselinux-1.29.2-4


Note You need to log in before you can comment on or make changes to this bug.